# eric4.Packagers.PackagersExecDialog

Module implementing a dialog to show the output of the packager process.

### Classes

PackagersExecDialog | Module implementing a dialog to show the output of the packager process.

### Functions

None

## PackagersExecDialog

Module implementing a dialog to show the output of the packager process.

This class starts a QProcess and displays a dialog that shows the output of the packager command process.

### Derived from

QDialog, Ui_PackagersExecDialog

### Methods

PackagersExecDialog | Constructor
__finish | Private slot called when the process finished.
__readStderr | Private slot to handle the readyReadStandardError signal.
__readStdout | Private slot to handle the readyReadStandardOutput signal.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
start | Public slot to start the packager command.

#### PackagersExecDialog (Constructor)

PackagersExecDialog(cmdname, parent = None)

Constructor

cmdname
  name of the packager (string)
parent
  parent widget of this dialog (QWidget)

#### PackagersExecDialog.__finish

__finish()

Private slot called when the process finished.

It is called when the process finished or the user pressed the button.

#### PackagersExecDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStandardError signal.

It reads the error output of the process and inserts it into the error pane.

#### PackagersExecDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStandardOutput signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### PackagersExecDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### PackagersExecDialog.start

start(args, fn)

Public slot to start the packager command.

args
  commandline arguments for packager program (QStringList)
fn
  main script name to be processed by by the packager (string or QString)

Returns:
  flag indicating the successful start of the process

Up